Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.error
Class Log

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.Vector<Error>
                  rdlc.error.Log

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Error>, java.util.Collection<Error>, java.util.List<Error>, java.util.RandomAccess

    public class Log

extends java.util.Vector<Error>

This class provides an abstract log of errors. This makes it possible to create pop-up windows and better logging facilities.

Version:
  $Revision: 1.3 $
Author:
  Greg Gibeling
See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID` The serial version UID for this class.

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`Log()`
`Log(java.util.Collection<? extends Error> arg0)`
`Log(int arg0)`
`Log(int arg0, int arg1)`

Method Summary
`void` | `emit(java.io.PrintStream err)` Emits a human readable list of the errors encountered.

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  The serial version UID for this class.

  See Also:
    Constant Field Values

Constructor Detail

### Log

    public Log(int arg0,
               int arg1)

See Also:
  `Vector.Vector(int, int)`

### Log

    public Log(int arg0)

See Also:
  `Vector.Vector(int)`

### Log

    public Log()

See Also:
  `Vector.Vector()`

### Log

    public Log(java.util.Collection<? extends Error> arg0)

See Also:
  `Vector.Vector(java.util.Collection)`

Method Detail

### emit

    public void emit(java.io.PrintStream err)

  Emits a human readable list of the errors encountered.

  Parameters:
    `err` - The stream to emit the errors to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD